# Tarfile created using git
# git clone git://gitorious.org/meego-netbook-ux/mutter-meego.git
# git archive --format=tar --prefix=%{name}-%{version}/ %{version} | bzip2 > %{name}-%{version}.tar.bz2
%define tarfile %{name}-%{version}.tar.bz2

Name:          mutter-moblin
Version:       0.75.20
Release:       1%{?dist}
Summary:       Moblin Netbook plugin for Mutter

Group:         User Interface/Desktops
License:       GPLv2+
URL:           http://www.moblin.org/
Source0:       %{tarfile}
Source1:       background-tile.png
Patch0:        mutter-moblin-fixdso.patch

BuildRequires: dbus-glib-devel
BuildRequires: GConf2-devel
BuildRequires: gnome-menus-devel
BuildRequires: gtk2-devel
BuildRequires: libmx-devel
BuildRequires: libXScrnSaver-devel
BuildRequires: mutter-mbl-devel
BuildRequires: startup-notification-devel
BuildRequires: intltool

# Require these because of the fixdso
BuildRequires: libtool
BuildRequires: gnome-common

Requires: redhat-menus
Requires: mutter-mbl

%description
Moblin Netbook plugin for Mutter. This is the main gui interface to Moblin.

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Files for development with %{name}.

%prep
%setup -q
#%patch0 -p1 -b .fixdso

# Don't run configure from autogen.sh
NOCONFIGURE=yes ./autogen.sh

cp %{SOURCE1} data/theme/panel/background-tile.png

%build
%configure --disable-static --enable-scaled-background --disable-capplet
export LD_AS_NEEDED=1
make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%find_lang mutter-moblin-netbook-plugin

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f mutter-moblin-netbook-plugin.lang
%defattr(-,root,root,-)
%doc COPYING README
%{_sysconfdir}/gconf/schemas/mutter-moblin.schemas
%{_libdir}/lib*.so.*
%{_libdir}/mutter/plugins/moblin-netbook.*
%{_datadir}/%{name}

%files devel
%defattr(-,root,root,-)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/moblin-panel.pc
%{_includedir}/libmoblin-panel

%changelog
* Wed Sep 22 2010 Peter Robinson <pbrobinson@gmail.com> 0.75.20-1
- New 0.75.20 upstream release

* Sun Jul 11 2010 Peter Robinson <pbrobinson@gmail.com> 0.75.19-1
- New 0.75.19 upstream release

* Mon Jul  5 2010 Peter Robinson <pbrobinson@gmail.com> 0.75.16-3
- Rebuild for new libmx

* Fri Jun 25 2010 Peter Robinson <pbrobinson@gmail.com> 0.75.16-2
- Add libXScrnSaver-devel dep

* Fri Jun 25 2010 Peter Robinson <pbrobinson@gmail.com> 0.75.16-1
- New 0.75.16 upstream release

* Mon May  3 2010 Peter Robinson <pbrobinson@gmail.com> 0.43.8-4
- Use Fedora 13 background rather than Moblin one

* Sun Apr 18 2010 Peter Robinson <pbrobinson@gmail.com> 0.43.8-3
- Fix build with dso linking

* Sun Apr 18 2010 Peter Robinson <pbrobinson@gmail.com> 0.43.8-2
- Add missing dep

* Sun Apr 18 2010 Peter Robinson <pbrobinson@gmail.com> 0.43.8-1
- New 0.43.8 upstream release

* Tue Sep 29 2009 Peter Robinson <pbrobinson@gmail.com> 0.40.1-1
- New 0.40.1 upstream release

* Mon Sep 28 2009 Peter Robinson <pbrobinson@gmail.com> 0.40.0-1
- New 0.40.0 upstream release

* Fri Sep 25 2009 Peter Robinson <pbrobinson@gmail.com> 0.39.5-1
- New 0.39.5 upstream release

* Fri Sep 25 2009 Peter Robinson <pbrobinson@gmail.com> 0.39.4-1
- New 0.39.4 upstream release

* Thu Sep 24 2009 Peter Robinson <pbrobinson@gmail.com> 0.39.3-1
- New 0.39.3 upstream release

* Wed Sep 23 2009 Peter Robinson <pbrobinson@gmail.com> 0.39.2-1
- New 0.39.2 upstream release

* Tue Sep 22 2009 Peter Robinson <pbrobinson@gmail.com> 0.39.1-1
- New 0.39.1 upstream release

* Mon Sep 21 2009 Peter Robinson <pbrobinson@gmail.com> 0.39.0-1
- New 0.39.0 upstream release

* Fri Sep 18 2009 Peter Robinson <pbrobinson@gmail.com> 0.38.3-1
- New 0.38.3 upstream release

* Thu Sep 17 2009 Peter Robinson <pbrobinson@gmail.com> 0.38.2-1
- New 0.38.2 upstream release

* Mon Sep 14 2009 Peter Robinson <pbrobinson@gmail.com> 0.38.0-1
- New 0.38.0 upstream release

* Thu Sep  9 2009 Peter Robinson <pbrobinson@gmail.com> 0.35.5-1
- New 0.35.5 upstream release

* Mon Aug 31 2009 Peter Robinson <pbrobinson@gmail.com> 0.35.4-1
- New 0.35.4 upstream release

* Mon Aug 24 2009 Peter Robinson <pbrobinson@gmail.com> 0.34.3-3
- Require mutter

* Thu Aug 20 2009 Peter Robinson <pbrobinson@gmail.com> 0.34.3-2
- Move a needed file from devel to main package

* Thu Aug 20 2009 Peter Robinson <pbrobinson@gmail.com> 0.34.3-1
- New 0.34.3 upstream release.

* Thu Aug 20 2009 Peter Robinson <pbrobinson@gmail.com> 0.34.2-1
- New 0.34.2 upstream release.

* Tue Aug 18 2009 Peter Robinson <pbrobinson@gmail.com> 0.34.0-1
- New 0.34.0 upstream release.
- Drop bits that have split to sub packages and associated deps

* Fri Aug  7 2009 Peter Robinson <pbrobinson@gmail.com> 0.32.3-1
- New 0.32.3 upstream release, spec file cleanups

* Thu Aug  6 2009 Peter Robinson <pbrobinson@gmail.com> 0.32.2-1
- New 0.32.2 upstream release, add new build requirements

* Thu Jul 23 2009 Peter Robinson <pbrobinson@gmail.com> 0.30.3-1
- Initial packaging
